Zum Hauptinhalt springen

List Contact-Verifications belonging to the executing user

GET/v2/contact-verifications
API-Version
v2
Request-Methode
GET
Operation-ID
domain-list-contact-verifications

Request​

Responses​

Format
application/json
Beschreibung

OK

  • Array[
    • *object
      • idstring (uuid)required
      • statusstring (einer von: created, pending, completed, failed)required
      • typeDataeine von 3 Alternativenrequired
        • Alternativeobject
          • type"address"required
          • valuestringrequired
        • Alternativeobject
          • emailVerificationDeadlinestring (date-time)
          • lastEmailSentDatestring (date-time)
          • type"email"required
          • valuestringrequired
        • Alternativeobject
          • type"name"required
          • valuestringrequired
    ]
Content-Type: application/json

[
{
"id": "f0f86186-0a5a-45b2-aa33-502777496347",
"status": "created",
"typeData": {
"type": "address",
"value": "string"
}
}
]
{
"items": {
"properties": {
"id": {
"format": "uuid",
"type": "string"
},
"status": {
"enum": [
"created",
"pending",
"completed",
"failed"
],
"type": "string"
},
"typeData": {
"oneOf": [
{
"properties": {
"type": {
"enum": [
"address"
],
"type": "string"
},
"value": {
"type": "string"
}
},
"required": [
"type",
"value"
],
"type": "object"
},
{
"properties": {
"emailVerificationDeadline": {
"format": "date-time",
"type": "string"
},
"lastEmailSentDate": {
"format": "date-time",
"type": "string"
},
"type": {
"enum": [
"email"
],
"type": "string"
},
"value": {
"type": "string"
}
},
"required": [
"type",
"value"
],
"type": "object"
},
{
"properties": {
"type": {
"enum": [
"name"
],
"type": "string"
},
"value": {
"type": "string"
}
},
"required": [
"type",
"value"
],
"type": "object"
}
]
}
},
"required": [
"id",
"status",
"typeData"
],
"type": "object"
},
"type": "array"
}

Nutzungsbeispiele​

$ curl \
--fail \
--location \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v2/contact-verifications?value=string&type=name
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.domain.listContactVerifications({
"queryParameters": {
"value": "string",
"type": "name"
}
});

assertStatus(response, 200);

use \Mittwald\ApiClient\Generated\V2\Clients\Domain\ListContactVerifications\ListContactVerificationsRequest;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

$request = (new ListContactVerificationsRequest())
->withValue("string")
->withType("name");
$response = $client->domain()->listContactVerifications($request);

var_dump($response->getBody();

Auf dieser Seite